Sessions
Get Session
Retrieve a single session by ID.
GET
/
v1
/
sessions
/
:id
curl https://api.promptster.ai/v1/sessions/sess_abc123 \
-H "Authorization: Bearer psk_live_abc123def456"
{
"session": {
"id": "sess_abc123",
"orgId": "org_2abc123",
"sourceService": ["claude_code"],
"startedAt": "2026-04-07T09:00:00.000Z",
"endedAt": "2026-04-07T10:15:00.000Z",
"lastActivityAt": "2026-04-07T10:14:30.000Z",
"metadata": {
"submissionsRepo": "acme/promptster-submissions",
"submissionsBranch": "candidate/sess_abc123"
},
"eventCount": 142,
"decisionFlagCount": 3,
"aiAttributionPct": 72.5,
"createdAt": "2026-04-07T09:00:00.000Z",
"updatedAt": "2026-04-07T10:15:00.000Z"
}
}
Returns the full session object including all metadata.
Authentication
Requires either an org API key or a candidate key.Authorization: Bearer psk_live_...
string
required
The session ID.
object
The full session object.
Show properties
Show properties
string
Session ID.
string
Organization ID.
string[]
Source services.
string | null
Session start time.
string | null
Session end time.
string | null
Last event timestamp.
object
Arbitrary session metadata.
integer
Total timeline events.
integer
Number of flagged decisions.
number | null
Percentage of code attributed to AI.
string
ISO 8601 creation timestamp.
string
ISO 8601 last update timestamp.
{
"session": {
"id": "sess_abc123",
"orgId": "org_2abc123",
"sourceService": ["claude_code"],
"startedAt": "2026-04-07T09:00:00.000Z",
"endedAt": "2026-04-07T10:15:00.000Z",
"lastActivityAt": "2026-04-07T10:14:30.000Z",
"metadata": {
"submissionsRepo": "acme/promptster-submissions",
"submissionsBranch": "candidate/sess_abc123"
},
"eventCount": 142,
"decisionFlagCount": 3,
"aiAttributionPct": 72.5,
"createdAt": "2026-04-07T09:00:00.000Z",
"updatedAt": "2026-04-07T10:15:00.000Z"
}
}
curl https://api.promptster.ai/v1/sessions/sess_abc123 \
-H "Authorization: Bearer psk_live_abc123def456"
curl https://api.promptster.ai/v1/sessions/sess_abc123 \
-H "Authorization: Bearer psk_live_abc123def456"
{
"session": {
"id": "sess_abc123",
"orgId": "org_2abc123",
"sourceService": ["claude_code"],
"startedAt": "2026-04-07T09:00:00.000Z",
"endedAt": "2026-04-07T10:15:00.000Z",
"lastActivityAt": "2026-04-07T10:14:30.000Z",
"metadata": {
"submissionsRepo": "acme/promptster-submissions",
"submissionsBranch": "candidate/sess_abc123"
},
"eventCount": 142,
"decisionFlagCount": 3,
"aiAttributionPct": 72.5,
"createdAt": "2026-04-07T09:00:00.000Z",
"updatedAt": "2026-04-07T10:15:00.000Z"
}
}
